Description

I want to integrate puppet and foreman, so I install foreman, foreman-proxy and puppet-server.

Below is the version number I installed in my puppet master machine.

foreman-1.1stable-3.el6.noarch

foreman-proxy-1.1stable-1.el6.noarch

puppet-server-2.6.18-3.el6.noarch

I have configured the below lines in my foreman-proxy configuration file.

:puppet: true

:puppet_conf: /etc/puppet/puppet.conf

And I added two environments in my puppet.conf file as below.

[DEVELOPMENT]

modulepath = /var/opt/ActiveEnvironments/DEVELOPMENT/puppet/modules

manifest   = /var/puppet/site.pp

[TESTING]

modulepath = /var/opt/ActiveEnvironments/TESTING/puppet/modules

manifest   = /var/puppet/site.pp

But when i issue the command 'rake puppet:import:puppet_classes RAILS_ENV=production', it always prompts the below info.

Evaluating possible changes to your installation

No changes detected

I can get the environments from 'curl -k -H "Content-Type:application/json" -H "Accept:application/json" 

http://puppet:8443/puppet/environments'

==> ["DEVELOPMENT","TESTING"], but no entry exists in the real database.

All environments I configured should be existing in my database that is configured in /etc/foreman/database.yml file after i issue rake

command. right?

I have investigated this issue for a bit time and have no idea what the problem is.

Could anyone give me some suggests?

Any response will be much appreciated.

History

#1 - 06/25/2013 05:41 AM - Dominic Cleal

- Status changed from New to Feedback

a) Do both of the environments contain modules and classes?  Otherwise Foreman may not import them.

b) It's not clear that you've checked the Foreman web UI under More->Configuration->Environments and Puppet Classes to see if the classes you're

expecting are present.

(I'd generally recommend using the import button on the Puppet Classes instead of the rake task)
c) Failing all of that, please check /var/log/foreman-proxy/proxy.log for errors.

#2 - 06/25/2013 09:53 PM - Myungjee Zhao

Thanks for your quick response. There is no classes in my modules, so the import failed.

#3 - 06/26/2013 02:50 AM - Dominic Cleal

- Status changed from Feedback to Rejected

Thanks for confirming.
